﻿Option Strict On
Imports System.Xml.Linq
Imports System.Windows.Media.Imaging
Partial Public Class MainPage
    Inherits PhoneApplicationPage

    ' Constructor
    Public Sub New()
        InitializeComponent()
    End Sub

    Private Sub MainPage_Loaded(ByVal sender As Object, ByVal e As System.Windows.RoutedEventArgs) Handles MyBase.Loaded
        Dim xmldoc As XElement = XElement.Load("FileName.xml")
        Dim titleList As New List(Of String)

        For Each result In From c In xmldoc.Descendants("タイトル") Select c
            titleList.Add(result.Value)
        Next
        ListBox1.ItemsSource = titleList
    End Sub

    Private Sub ListBox1_SelectionChanged(ByVal sender As Object, ByVal e As System.Windows.Controls.SelectionChangedEventArgs) Handles ListBox1.SelectionChanged
        PageTitle.Text = ListBox1.SelectedItem.ToString
        Dim dlImageName As String = ListBox1.SelectedItem.ToString & ".jpg"
        Dim myWebClient As New WebClient

        AddHandler myWebClient.OpenReadCompleted, Sub(resultSender As Object, resultArgs As OpenReadCompletedEventArgs)
                                                      If resultArgs.Error Is Nothing = False Then
                                                          MessageBox.Show("ダウンロードエラー")
                                                          Image1.Source = Nothing
                                                          Exit Sub
                                                      Else
                                                          Dim myImage As New BitmapImage
                                                          myImage.SetSource(resultArgs.Result)
                                                          Image1.Source = myImage
                                                      End If
                                                  End Sub
        myWebClient.OpenReadAsync(New Uri("http://2008r2.projectkyss.net/Image/" & dlImageName, UriKind.Absolute))
    End Sub
End Class
